Show / Hide Table of Contents

# Class OpenIddictServerOwinConfiguration

Contains the methods required to ensure that the OpenIddict server configuration is valid.

##### Inheritance

System.Object
OpenIddictServerOwinConfiguration

##### Implements

IPostConfigureOptions<OpenIddictServerOwinOptions>

###### Namespace: OpenIddict.Server.Owin

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerOwinConfiguration : IConfigureOptions<OpenIddictServerOptions>, IPostConfigureOptions<OpenIddictServerOwinOptions>

### Methods

#### Configure(OpenIddictServerOptions)

##### Declaration

    public void Configure(OpenIddictServerOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerOptions | options |

#### PostConfigure(String, OpenIddictServerOwinOptions)

##### Declaration

    public void PostConfigure(string name, OpenIddictServerOwinOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
OpenIddictServerOwinOptions | options |

### Implements

IPostConfigureOptions<>